FreeMat

- Main Page
- Related Pages

vtkHyperOctreeDepth

Section: Visualization Toolkit Graphics Classes

# Usage

This filter returns a shallow copy of its input HyperOctree with a new data attribute field containing the depth of each cell.

To create an instance of class vtkHyperOctreeDepth, simply invoke its constructor as follows

      obj = vtkHyperOctreeDepth

# Methods

The class vtkHyperOctreeDepth has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkHyperOctreeDepth class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkHyperOctreeDepth = obj.NewInstance ()`
- `vtkHyperOctreeDepth = obj.SafeDownCast (vtkObject o)`